org.apache.fontbox.ttf

## Class IndexToLocationTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.IndexToLocationTable

    public class IndexToLocationTable
    extends TTFTable

This 'loca'-table is a required table in a TrueType font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `getOffsets()`
`void` `setOffsets(long[] offsetsValue)`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getOffsets

    public long[] getOffsets()

Returns:
  Returns the offsets.

#### setOffsets

    public void setOffsets(long[] offsetsValue)

Parameters:
  `offsetsValue` - The offsets to set.